Bug 231031 - net/kamailio Upgrade to 5.1.5
Summary: net/kamailio Upgrade to 5.1.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-30 18:05 UTC by Ben Hood
Modified: 2018-09-01 14:20 UTC (History)
1 user (show)

See Also:
pi: maintainer-feedback+


Attachments
This patch uprevs the pinned upstream version to the 5.1.5 release (1.17 KB, text/plain)
2018-08-30 18:05 UTC, Ben Hood
no flags Details
Alternative way to do port (4.51 KB, patch)
2018-08-31 01:59 UTC, Nathan
ndowens04: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Hood 2018-08-30 18:05:20 UTC
Created attachment 196715 [details]
This patch uprevs the pinned upstream version to the 5.1.5 release

This patch upgrades the port to 5.1.5 from the upstream.

I tested this with poudriere testport using a 11.1-RELEASE-p9/amd64 jail.
Comment 1 Nathan 2018-08-31 01:59:09 UTC
Created attachment 196726 [details]
Alternative way to do port

net/kamailio:

* Update to 5.1.5
* Add pkgconfig
  -- during compile, build would give pkg-config not found
* Remove commented
  -- not used, Makefile will be smaller
* Simplify Strip
  -- less clutter

Changelog: https://github.com/kamailio/kamailio/blob/d060804b66b0f7eb064810b1445d4d076e246423/ChangeLog
Comment 2 Nathan 2018-08-31 02:00:42 UTC
Does build on 12-CURRENT
Comment 3 commit-hook freebsd_committer 2018-09-01 14:17:51 UTC
A commit references this bug:

Author: pi
Date: Sat Sep  1 14:17:41 UTC 2018
New revision: 478698
URL: https://svnweb.freebsd.org/changeset/ports/478698

Log:
  net/kamailio: update 5.1.3 -> 5.1.5

  - Add pkgconfig
  - Simplify strip

  PR:		231031
  Submitted by:	ben@relops.com, ndowens@yahoo.com
  Relnotes:	https://github.com/kamailio/kamailio/blob/d060804b66b0f7eb064810b1445d4d076e246423/ChangeLog

Changes:
  head/net/kamailio/Makefile
  head/net/kamailio/distinfo
Comment 4 Kurt Jaeger freebsd_committer 2018-09-01 14:20:06 UTC
Committed, thanks!